Subject: [v6ops] FW: Fwd: New Version Notification for draft-lopez-v6ops-dc-ipv6-00.txt

From: "Cathy Zhou(Qian)" <[email-masked]>
Date: Thu, 08 Mar 2012 02:57:17 +0000

Hi Washam,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Washam Fan
Sent: Wednesday, March 07, 2012 9:56 PM
To: Tina TSOU
Cc: [email-masked]
Subject: Re: [v6ops] Fwd: New Version Notification for draft-lopez-v6ops-dc-ipv6-00.txt

Hi,

I don't think the problem the draft is trying to address is clear.
Deduced from the solution, It seems to me the problem is to address
the IPv6 Internet accessing IPv4 network scenario. The solution seems
to me, is a variant of stateful NAT64. Compared to stateful NAT64, the
proposal is doing address translation whileas the statefull NAT64 is
doing address+port translation. 
//This solution is similar to stateful NAT64, but there are some differences. We say that is NAT64-Lite for this solution, using the same IPv6 prefix for the DC. For each service, IPv4 address is embedded into the IPv6 address (e.g. VSIPv6 formed: IPv6 prefix + VSIPv4+ other bits) . Via VSIPv4 embedded into VSIPv6, we don't need DNS64. In addition, the binding tables are only based on host IPv6 address, so we can reduce the number of binding tables(compared to RFC 6146-binding tables based on TCP/UDP sessions).

And I don't know why the proposal is
integral to LB. It could have been an individual module even it could
be co-located with LB.
//You are right. It could be an individual module or co-located with LB.

Finally, I feel it would be some overlap between this draft and
draft-carpenter-v6ops-icp-guidance.
//Data Center and ICP are two different things, although they may use some similar IPv6 transition technologies, e.g., NAT.

Best Regards,
Cathy

Thanks,
washam

2012/3/7 Tina TSOU <[email-masked]>:
> For your comments.
> http://datatracker.ietf.org/doc/draft-lopez-v6ops-dc-ipv6/
>
> Sent from my iPad
>
> Begin forwarded message:
>
> From: <[email-masked]>
> Date: March 5, 2012 5:09:49 PM PST
> To: <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Subject: New Version Notification for draft-lopez-v6ops-dc-ipv6-00.txt
>
> A new version of I-D, draft-lopez-v6ops-dc-ipv6-00.txt has been successfully
> submitted by Tina Tsou and posted to the IETF repository.
>
> Filename:     draft-lopez-v6ops-dc-ipv6
> Revision:     00
> Title:         DC Migration to IPv6
> Creation date:     2012-03-05
> WG ID:         Individual Submission
> Number of pages: 10
>
> Abstract:
>   This document describes the issues, possible solutions, and
>   opportunities in Data Center (DC) migration from IPv4 to IPv6.  It
>   focuses on the DC infrastructure itself, its operation, and the
>   aspects related to DC interconnection through IPv6.  It does not
>   consider the particular mechanisms for making Internet services
>   provided by applications hosted in the DC available through IPv6
>   beyond the specific aspects related to how their deployed on the DC
>   infrastructure.
>
>   Apart from facilitating the migration procedure itself, the
>   mechanisms outlined here are intended to make this migration as
>   transparent as possible (if not completely transparent) to
>   applications and services running on the DC infrastructure, as well
>   as to take advantage of IPv6 features to simplify DC operations,
>   internally and across the Internet.
>
>
>
>
> The IETF Secretariat
>
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>
_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops